Get your API key and start collecting data in minutes. Get API Key →
Get your API key and start collecting data in minutes. Get API Key →
curl --request GET \
--url https://api.mindcase.co/api/v1/jobs/{job_id} \
--header 'Authorization: Bearer <token>'{
"id": "job_abc123def456",
"agent": "instagram/profiles",
"status": "completed",
"row_count": 3,
"usd_used": 0.011,
"error": null,
"started_at": "2026-03-31T10:15:02Z",
"completed_at": "2026-03-31T10:15:47Z",
"created_at": "2026-03-31T10:15:00Z",
"expires_at": "2026-04-07T10:15:00Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt
Use this file to discover all available pages before exploring further.
API key in the format mk_live_...
Full job details
"job_abc123def456"
"instagram/profiles"
queued, running, completed, failed, cancelled "completed"
3
0.011
null
"2026-03-31T10:15:02Z"
"2026-03-31T10:15:47Z"
"2026-03-31T10:15:00Z"
"2026-04-07T10:15:00Z"
Was this page helpful?
curl --request GET \
--url https://api.mindcase.co/api/v1/jobs/{job_id} \
--header 'Authorization: Bearer <token>'{
"id": "job_abc123def456",
"agent": "instagram/profiles",
"status": "completed",
"row_count": 3,
"usd_used": 0.011,
"error": null,
"started_at": "2026-03-31T10:15:02Z",
"completed_at": "2026-03-31T10:15:47Z",
"created_at": "2026-03-31T10:15:00Z",
"expires_at": "2026-04-07T10:15:00Z"
}